
// TourSprite.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Třída TourSprite ukrývá velikosti pohybu a rotace
   při přesunech a otočeních spritu.
*/


public class TourSprite extends Sprite3D
{
  private final static double MOVERATE = 0.3;
  private final static double ROTATE_AMT = Math.PI / 16.0;


  public TourSprite(String fnm, Obstacles obs)
  { super(fnm, obs);  }

  // pohyb
  public boolean moveForward()
  { return moveBy(0.0, MOVERATE); }

  public boolean moveBackward()
  { return moveBy(0.0, -MOVERATE); }

  public boolean moveLeft()
  { return moveBy(-MOVERATE,0.0); }

  public boolean moveRight()
  { return moveBy(MOVERATE,0.0); }


  // rotace pouze kolem osy y
  public void rotClock()
  { doRotateY(-ROTATE_AMT); }  // ve směru hodinových ručiček

  public void rotCounterClock()
  { doRotateY(ROTATE_AMT); }   // proti směru hodinových ručiček

}  // konec třídy: TourSprite
